-- NOTE: THIS SCRIPT MUST BE RUN IN SQLCMD MODE TO FUNCTION PROPERLY
:CONNECT Buzz

-- Switch to the InitiatorDB database
USE InitiatorDB;
GO

-- Receive the reply and end the conversation
DECLARE @message_body NVARCHAR(100);
DECLARE @conversation_handle UNIQUEIDENTIFIER;

BEGIN TRANSACTION;

WAITFOR
( RECEIVE TOP(1)
    @conversation_handle = conversation_handle,
    @message_body = message_body
  FROM InitiatorQueue
), TIMEOUT 1000;

END CONVERSATION @conversation_handle;

-- Display recieved request.
SELECT @message_body AS ReceivedReplyMsg;

COMMIT TRANSACTION;
GO