-- Switch to the InitiatorDB database
USE InitiatorDB;
GO

DECLARE @Loop INT = 12001;

-- Start a conversation and send a request message
DECLARE @InitDlgHandle UNIQUEIDENTIFIER;
DECLARE @RequestMsg NVARCHAR(100);

BEGIN DIALOG @InitDlgHandle
     FROM SERVICE [//MultiDB_Broker/InitiatorService]
     TO SERVICE N'//MultiDB_Broker/TargetService'
     ON CONTRACT [//MultiDB_Broker/SimpleContract]
     WITH
         ENCRYPTION = OFF;

WHILE @Loop <= 13000
BEGIN

BEGIN TRANSACTION;

SELECT @RequestMsg =
   N'<RequestMsg>'+CAST(@Loop AS NVARCHAR)+'</RequestMsg>';

SEND ON CONVERSATION @InitDlgHandle
     MESSAGE TYPE [//MultiDB_Broker/RequestMessage]
      (@RequestMsg);

COMMIT TRANSACTION;

SET @Loop = @Loop+1;
END
GO
