-- Switch to the InitiatorDB database
USE InitiatorDB;
GO

WHILE 1=1
BEGIN

-- Start a conversation and send a request message
DECLARE @conversation_handle UNIQUEIDENTIFIER;
DECLARE @request_message_body NVARCHAR(100);

BEGIN TRANSACTION;

BEGIN DIALOG @conversation_handle
	FROM SERVICE [//MultipleInstances/InitiatorService]
	TO SERVICE N'//MultipleInstances/TargetService'
	ON CONTRACT [//MultipleInstances/SimpleContract]
	WITH ENCRYPTION = ON;

SELECT @request_message_body = N'<RequestMsg>Message for Target service.</RequestMsg>';

SEND ON CONVERSATION @conversation_handle
     MESSAGE TYPE [//MultipleInstances/RequestMessage]
     (@request_message_body);

SELECT @request_message_body AS SentRequestMsg;

COMMIT TRANSACTION;
END
