-- NOTE: THIS SCRIPT MUST BE RUN IN SQLCMD MODE TO FUNCTION PROPERLY
:CONNECT Woody

-- Switch to the TargetDB database
USE TargetDB;
GO

SELECT *
  FROM TargetQueue
  GO

  -- NOTE: THIS SCRIPT MUST BE RUN IN SQLCMD MODE TO FUNCTION PROPERLY
:CONNECT Jessie

-- Switch to the TargetDB database
USE TargetDB;
GO

SELECT *
  FROM TargetQueue
  GO
  -- NOTE: THIS SCRIPT MUST BE RUN IN SQLCMD MODE TO FUNCTION PROPERLY
:CONNECT Bullseye

-- Switch to the TargetDB database
USE TargetDB;
GO

SELECT *
  FROM TargetQueue
  GO


-- Receive the request and send a reply
DECLARE @conversation_handle UNIQUEIDENTIFIER;
DECLARE @message_body NVARCHAR(100);
DECLARE @message_type_name sysname;

BEGIN TRANSACTION;

WAITFOR
( RECEIVE TOP(1)
    @conversation_handle = conversation_handle,
    @message_body = message_body,
    @message_type_name = message_type_name
  FROM TargetQueue
), TIMEOUT 1000;

SELECT @message_body AS ReceivedRequestMsg;

IF @message_type_name = N'//MultipleInstances/RequestMessage'
BEGIN
     DECLARE @reply_message_body NVARCHAR(100);
     SELECT @reply_message_body =
        N'<ReplyMsg>Message for Initiator service.</ReplyMsg>';

     SEND ON CONVERSATION @conversation_handle
          MESSAGE TYPE [//MultipleInstances/ReplyMessage]
          (@reply_message_body);

     END CONVERSATION @conversation_handle;
END

SELECT @reply_message_body AS SentReplyMsg;

COMMIT TRANSACTION;
GO