USE TargetDB;
GO

ALTER AUTHORIZATION ON SERVICE::[//MultiDB_Broker/TargetService] TO TargetDBUser;
GO


USE InitiatorDB;
GO

ALTER AUTHORIZATION ON SERVICE::[//MultiDB_Broker/InitiatorService] TO InitiatorDBUser;
GO


-- Grant send on the services to the newly authorized users
USE InitiatorDB;
GO

GRANT SEND ON SERVICE::[//MultiDB_Broker/InitiatorService] TO TargetDBUser;
GO

USE TargetDB;
GO
 
GRANT SEND ON SERVICE::[//MultiDB_Broker/TargetService] TO InitiatorDBUser;
GO
